10.2.39-MariaDB

I was using DBD::mysql until yesterday when I switched this project to DBD::MariaDB. I'm still using the MySQL driver for other projects that don't require spatial data.

However, I cannot find DBD::MariaDB listed amongst the installed modules so I am struggling to find the version of that! DBD::mysql is version 4.050

edit:

Running cpan -D DBD::MariaDB tells me that the module is not installed!

However, DBI->connect("DBD:MariaDB:database=xxx", $user, $pass); connects without problem.

Further edit

foreach my $driver(DBI->available_drivers) { print "$driver\n"; }
Produces:
DBM ExampleP File Gofer Mem Pg Proxy SQLite SQLite2 Sponge mysql
So I guess that DBI->connect("DBD:MariaDB:database=... is using some form of default driver.


In reply to Re^4: DBI placeholders for spatial data by Bod
in thread DBI placeholders for spatial data by Bod

Title:
Use:  <p> text here (a paragraph) </p>
and:  <code> code here </code>
to format your post; it's "PerlMonks-approved HTML":